aboutsummaryrefslogtreecommitdiffstats
path: root/testing/py3-github3/APKBUILD
diff options
context:
space:
mode:
authorprspkt <prspkt@protonmail.com>2019-06-16 21:20:52 +0300
committerprspkt <prspkt@protonmail.com>2019-06-16 22:30:21 +0300
commit5859b47f14ac7c501b06ba49f67e83a76ab2069d (patch)
treebe2d8f9399d4b118045c46e29546c96ed6e43c2d /testing/py3-github3/APKBUILD
parent3c6506314107561e8f6305a83ccaed89adb192f2 (diff)
downloadaports-5859b47f14ac7c501b06ba49f67e83a76ab2069d.tar.bz2
aports-5859b47f14ac7c501b06ba49f67e83a76ab2069d.tar.xz
testing/py-github3: upgrade to python3
Diffstat (limited to 'testing/py3-github3/APKBUILD')
-rw-r--r--testing/py3-github3/APKBUILD35
1 files changed, 35 insertions, 0 deletions
diff --git a/testing/py3-github3/APKBUILD b/testing/py3-github3/APKBUILD
new file mode 100644
index 0000000000..c97a5aab0a
--- /dev/null
+++ b/testing/py3-github3/APKBUILD
@@ -0,0 +1,35 @@
+# Contributor: Fabian Affolter <fabian@affolter-engineering.ch>
+# Maintainer: Fabian Affolter <fabian@affolter-engineering.ch>
+pkgname=py3-github3
+_pkgname=github3.py
+pkgver=0.9.1
+pkgrel=0
+pkgdesc="Python wrapper for the GitHub API"
+url="https://github3py.readthedocs.org/"
+arch="noarch"
+license="BSD"
+depends="py3-dateutil py3-jwcrypto py3-requests py3-uritemplate"
+depends_dev=""
+makedepends="py3-setuptools"
+install=""
+subpackages=""
+source="https://files.pythonhosted.org/packages/source/${_pkgname:0:1}/$_pkgname/$_pkgname-$pkgver.tar.gz"
+
+_builddir="$srcdir"/$_pkgname-$pkgver
+
+replaces="py-github3" # Backwards compatibility
+provides="py-github3=$pkgver-r$pkgrel" # Backwards compatibility
+
+build() {
+ cd "$_builddir"
+ python3 setup.py build || return 1
+}
+
+package() {
+ cd "$_builddir"
+ python3 setup.py install --prefix=/usr --root="$pkgdir" || return 1
+}
+
+md5sums="021890b36a21cf7d05c2ec8c7608eee9 github3.py-0.9.1.tar.gz"
+sha256sums="0708a306ff13be3895e3f17ef65b6e290bdc159a78ff4ad6ef43043c1b759d9d github3.py-0.9.1.tar.gz"
+sha512sums="f978eade8a0c1004c45f0085873704ba8dbc885721c1c7ed99f0c3973b5f453a0a3a43dfe29cfa0be87c3cb505f7b72a7f683e4fd812c0fe6e9c9ac99256bb5e github3.py-0.9.1.tar.gz"